import axios from "@/utils/req";

const base = `/authsvr/v2`;

export const tableUrl = `${base}/service/search`;

export function save(data) {
    return axios.post(`${base}/service/auth`, data);
}

export function detail(id) {
    return axios.get(`${base}/service/auth/${id}`)
}

export function patch(data) {
    return axios.put(`${base}/service/auth/${data.id}`, data)
}

export function del(id) {
    return axios.delete(`${base}/service/auth/${id}`)
}

export function dropMenu(data) {
    return axios.post(`${base}/resource/search/drop`, data)
}

export function getAppName() {
    return axios.get(`${base}/rolerpt/getAppName`)
}